JsonCpp project page | Classes | Namespace | JsonCpp home page

Namespaces | Macros | Typedefs | Functions | Variables
json_writer.cpp File Reference
`#include "json_tool.h"`
`#include <json/writer.h>`
`#include <algorithm>`
`#include <cassert>`
`#include <cctype>`
`#include <cstring>`
`#include <iomanip>`
`#include <memory>`
`#include <set>`
`#include <sstream>`
`#include <utility>`
`#include <cmath>`
`#include <cstdio>`
`#include <float.h>`
Include dependency graph for json_writer.cpp:

Go to the source code of this file.

## Namespaces
namespace | Json
| JSON (JavaScript Object Notation).

## Macros
#define | isnan _isnan
#define | isfinite _finite
#define | _CRT_SECURE_CPP_OVERLOAD_STANDARD_NAMES 1

## Typedefs
using | Json::StreamWriterPtr = std::auto_ptr<StreamWriter>

## Functions
String | Json::valueToString (LargestInt value)
String | Json::valueToString (LargestUInt value)
String | Json::valueToString (Int value)
String | Json::valueToString (UInt value)
String | Json::valueToString (double value, unsigned int precision=Value::defaultRealPrecision, PrecisionType precisionType=PrecisionType::significantDigits)
String | Json::valueToString (bool value)
static bool | Json::doesAnyCharRequireEscaping (char const *s, size_t n)
static unsigned int | Json::utf8ToCodepoint (const char *&s, const char *e)
static String | Json::toHex16Bit (unsigned int x)
static void | Json::appendRaw (String &result, unsigned ch)
static void | Json::appendHex (String &result, unsigned ch)
static String | Json::valueToQuotedStringN (const char *value, size_t length, bool emitUTF8=false)
String | Json::valueToQuotedString (const char *value)
String | Json::writeString (StreamWriter::Factory const &factory, Value const &root)
| Write into stringstream, then return string, for convenience.
OStream & | Json::operator<< (OStream &, const Value &root)
| Output using the StyledStreamWriter.

## Variables
static const char | Json::hex2 []

## Macro Definition Documentation

## ◆ _CRT_SECURE_CPP_OVERLOAD_STANDARD_NAMES

#define _CRT_SECURE_CPP_OVERLOAD_STANDARD_NAMES 1

Definition at line 48 of file json_writer.cpp.

## ◆ isfinite

#define isfinite _finite

Definition at line 44 of file json_writer.cpp.

## ◆ isnan

#define isnan _isnan

Definition at line 39 of file json_writer.cpp.